%global smallversion 0.4

Summary:        Abstraction library for audio visualisation plugins
Name:           libvisual
Version:        0.4.1
Release:        2%{?dist}
License:        LGPL-2.1-or-later
URL:            http://libvisual.sf.net
Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch3000:      libvisual-0.4.0-better-altivec-detection.patch
Patch3001:      libvisual-0.4.0-respect-environment-ldflags.patch
Patch3002:      libvisual-c99.patch

BuildRequires:  gcc-c++ make automake
BuildRequires:  xorg-x11-proto-devel sdl12-compat-devel

%description
Libvisual is a library that comes between applications and audio visualisation
plugins. It provides every application that wants to draw visualisations a
clean and easy-to-use API.

%package        devel
Summary:        Development files for libvisual
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides the development files needed to build an application with libvisual.

%prep
%autosetup -p1

%build
%global optflags %{optflags} -fno-strict-aliasing
%configure
%make_build

%install
%make_install


find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}-%{smallversion}

%files -f %{name}-%{smallversion}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%doc README NEWS TODO AUTHORS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{smallversion}


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.4.1-1
- Upgrade to version 0.4.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 cunshunxia <cunshunxia@tencent.com> - 0.4.0-1
- initial build
